# Class AlertValuesService

Namespace
  adas_core.Application.Services

Assembly
  adas-core.Application.dll

Provides an implementation of the IAlertValuesService interface for managing alert values using a configuration observation repository.

    public class AlertValuesService : IAlertValuesService

Inheritance
  object
  AlertValuesService

Implements
  IAlertValuesService

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### AlertValuesService(IConfigObservationRepository)

Provides an implementation of the IAlertValuesService interface for managing alert values using a configuration observation repository.

    public AlertValuesService(IConfigObservationRepository alertValueRepository)

#### Parameters

`alertValueRepository` IConfigObservationRepository

## Methods

### FindByKey(ObjectId)

Retrieves a ConfigObservation by its unique identifier from the alert value repository. Throws a NotFoundException when no matching resource is found.

    public Task<ConfigObservation?> FindByKey(ObjectId key)

#### Parameters

`key` ObjectId

  The unique identifier of the configuration observation to retrieve.

#### Returns

Task<ConfigObservation>

  The matching ConfigObservation if found.

#### Exceptions

NotFoundException

  Thrown when no configuration observation exists for the specified `key`.